%define name pptpd
%define ver 1.1.3 
%define date 20030409
%define rel %{date}_1
%define prefix /usr

Summary: A PPTP server daemon started from init (/etc/rc.d/init.d/).
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: Networking/Daemons
Packager: Ralf Spenneberg <ralf@spenneberg.de>
Source: http://prdownloads.sourceforge.net/poptop/%{name}-%{ver}-%{date}.tar.gz
Patch: pptpd-init-script.patch
URL: http://www.poptop.org
Buildroot: /var/tmp/%{name}-root
#Obsoletes: pptpd

%description
PPTPd, Point-to-Point Tunnelling Protocol Daemon, offers out
connections to pptp clients to become virtual members of the IP pool
owned by the pptp server.  In effect, these clients become virtual
members of the local subnet, regardless of what their real IP address
is.  A tunnel is built between the pptp server and client, and packets
from the subnet are wrapped and passed between server and client
similar to other C/S protocols.

%prep
%setup -q -n poptop
#%patch -p1

%build
./configure --prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make prefix=$RPM_BUILD_ROOT%{prefix} install
install -m 0755 tools/vpn* /$RPM_BUILD_ROOT/usr/sbin
install -m 0755 tools/confmod.sh /$RPM_BUILD_ROOT/usr/sbin
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf
install -m 0755 pptpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/pptpd
strip $RPM_BUILD_ROOT/%{prefix}/sbin/* || :

%post
OUTD="" ; for i in d manager ctrl ; do
    test -x /usr/bin/pptp$i && OUTD="$OUTD /usr/bin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; you should do run the following command:"; echo "rm -i $OUTD" ;}
/sbin/chkconfig --add pptpd

%preun
/sbin/chkconfig --del pptpd

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO html samples ChangeLog*
/usr/sbin/
/usr/man/man5/pptpd.conf.5.gz
/usr/man/man8/pptpd.8.gz
/usr/man/man8/pptpctrl.8.gz
/etc/rc.d/init.d/pptpd
%config(noreplace) /etc/pptpd.conf

%changelog
* Wed Apr 9 2003 Ralf Spenneberg <ralf@spenneberg.de>
- upgraded to 1.1.4 Beta 2

* Wed Nov 6 2002 Ralf Spenneberg <ralf@spenneberg.de>
- compiled on RH 8.0

* Tue Jun 25 2002 Ralf Spenneberg <ralf@spenneberg.de>
- updated to pptpd 1.1.3
- compiled on RH 7.3
- Does not overwrite config file anymore

* Sun Nov 4 2001 Ralf Spenneberg <ralf@spenneberg.de>
- patched init script to use daemon

* Mon Oct 9 2000 Andy Worthington <christopherandrew@ou.edu>
- changed url and source to new website
- added man pages to files
- removed startup via inittab
- added startup via init (/etc/rc.d/init.d)
- updated to 1.0.1

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
